#ifdef __cplusplus
extern "C" {
#endif



__declspec(dllimport) unsigned long AED_Connect(char *Host, unsigned long bReadPort, signed long Index);
__declspec(dllimport) unsigned long AED_SetFreq(unsigned long uClientRef, signed long Hz);
__declspec(dllimport) unsigned long AED_SetPacketBits(unsigned long uClientRef, signed long NewPacketBits);
__declspec(dllimport) unsigned long AED_SetBlockSize(unsigned long uClientRef, signed long SizeBytes);
__declspec(dllimport) unsigned long AED_SetTimeout(unsigned long uClientRef, signed long TimeoutMS);
__declspec(dllimport) unsigned long AED_SetAZero(unsigned long uClientRef, unsigned long bNewBit);
__declspec(dllimport) unsigned long AED_SetMDIO1(unsigned long uClientRef, unsigned long Index, unsigned long bNewBit);
__declspec(dllimport) unsigned long AED_Go(unsigned long uClientRef);
__declspec(dllimport) unsigned long AED_GoClear(unsigned long uClientRef);
__declspec(dllimport) unsigned long AED_Clear(unsigned long uClientRef);
__declspec(dllimport) unsigned long AED_GetAllPackets(unsigned long uClientRef, signed long *pTimestampDataBytes, double *pTimestampData, signed long *pPacketDataBytes, unsigned char *pPacketData);
__declspec(dllimport) unsigned long AED_GetLatestPacketAndDiscard(unsigned long uClientRef, signed long *pTimestampDataBytes, double *pTimestampData, signed long *pPacketDataBytes, unsigned char *pPacketData);
__declspec(dllimport) unsigned long AED_GetData(unsigned long uClientRef, signed long *pDataBytes, unsigned short *pData);
__declspec(dllimport) unsigned long AED_PutData(unsigned long uClientRef, signed long *pDataBytes, unsigned short *pData);
__declspec(dllimport) unsigned long AED_Close(unsigned long uClientRef);



#ifdef __cplusplus
}
#endif
