library AIOEDIO;

{$R *.RES}

uses
  Windows, CoreExports,
  DIFFChunks in '..\DIFFChunks.pas';

function VBAED_Connect(Host: PChar; bReadPort: LongBool; Index: LongInt): LongWord; stdcall;
begin
  Result := AED_Connect(Host, bReadPort, Index);
end;

function VBAED_SetFreq(uClientRef: LongWord; Hz: LongInt): LongWord; stdcall;
begin
  Result := AED_SetFreq(uClientRef, Hz);
end;

function VBAED_SetPacketBits(uClientRef: LongWord; NewPacketBits: LongInt): LongWord; stdcall;
begin
  Result := AED_SetPacketBits(uClientRef, NewPacketBits);
end;

function VBAED_SetBlockSize(uClientRef: LongWord; SizeBytes: LongInt): LongWord; stdcall;
begin
  Result := AED_SetBlockSize(uClientRef, SizeBytes);
end;

function VBAED_SetAZero(uClientRef: LongWord; bNewBit: LongBool): LongWord; stdcall;
begin
  Result := AED_SetAZero(uClientRef, bNewBit);
end;

function VBAED_SetMDIO1(uClientRef, Index: LongWord; bNewBit: LongBool): LongWord; stdcall;
begin
  Result := AED_SetMDIO1(uClientRef, Index, bNewBit);
end;

function VBAED_Go(uClientRef: LongWord): LongWord; stdcall;
begin
  Result := AED_Go(uClientRef);
end;

function VBAED_SetTimeout(uClientRef: LongWord; TimeoutMS: LongInt): LongWord; stdcall;
begin
  Result := AED_SetTimeout(uClientRef, TimeoutMS);
end;

function VBAED_GetAllPackets(uClientRef: LongWord; pTimestampDataBytes: PLongInt; pTimestampData: PDouble; pPacketDataBytes: PLongInt; pPacketData: PByte): LongWord; stdcall;
begin
  Result := AED_GetAllPackets(uClientRef, pTimestampDataBytes, pTimestampData, pPacketDataBytes, pPacketData);
end;

function VBAED_GetLatestPacketAndDiscard(uClientRef: LongWord; pTimestampDataBytes: PLongInt; pTimestampData: PDouble; pPacketDataBytes: PLongInt; pPacketData: PByte): LongWord; stdcall;
begin
  Result := AED_GetLatestPacketAndDiscard(uClientRef, pTimestampDataBytes, pTimestampData, pPacketDataBytes, pPacketData);
end;

function VBAED_GetData(uClientRef: LongWord; pDataBytes: PLongInt; pData: PByte): LongWord; stdcall;
begin
  Result := AED_GetData(uClientRef, pDataBytes, pData);
end;

function VBAED_PutData(uClientRef: LongWord; pDataBytes: PLongInt; pData: PByte): LongWord; stdcall;
begin
  Result := AED_PutData(uClientRef, pDataBytes, pData);
end;

{
function VBAED_GetStatus(uClientRef: LongWord): LongWord; stdcall;
begin
  Result := AED_GetStatus(uClientRef);
end;
}

function VBAED_Close(uClientRef: LongWord): LongWord; stdcall;
begin
  Result := AED_Close(uClientRef);
end;

function VBAED_GoClear(uClientRef: LongWord): LongWord; stdcall;
begin
  Result := AED_GoClear(uClientRef);
end;

function VBAED_Clear(uClientRef: LongWord): LongWord; stdcall;
begin
  Result := AED_Clear(uClientRef);
end;





exports
  //VBAED_GetStatus   , AED_GetStatus    name '_AED_GetStatus'   , AED_GetStatus   ,

  VBAED_GetLatestPacketAndDiscard, AED_GetLatestPacketAndDiscard name '_AED_GetLatestPacketAndDiscard', AED_GetLatestPacketAndDiscard,
  VBAED_GetAllPackets            , AED_GetAllPackets             name '_AED_GetAllPackets'            , AED_GetAllPackets            ,
  VBAED_SetPacketBits            , AED_SetPacketBits             name '_AED_SetPacketBits'            , AED_SetPacketBits            ,

  VBAED_SetAZero                 , AED_SetAZero                  name '_AED_SetAZero'                 , AED_SetAZero                 ,
  VBAED_SetMDIO1                 , AED_SetMDIO1                  name '_AED_SetMDIO1'                 , AED_SetMDIO1                 ,

  VBAED_Clear                    , AED_Clear                     name '_AED_Clear'                    , AED_Clear                    ,
  VBAED_GoClear                  , AED_GoClear                   name '_AED_GoClear'                  , AED_GoClear                  ,
  VBAED_Close                    , AED_Close                     name '_AED_Close'                    , AED_Close                    ,
  VBAED_PutData                  , AED_PutData                   name '_AED_PutData'                  , AED_PutData                  ,
  VBAED_GetData                  , AED_GetData                   name '_AED_GetData'                  , AED_GetData                  ,
  VBAED_SetTimeout               , AED_SetTimeout                name '_AED_SetTimeout'               , AED_SetTimeout               ,
  VBAED_Go                       , AED_Go                        name '_AED_Go'                       , AED_Go                       ,
  VBAED_SetBlockSize             , AED_SetBlockSize              name '_AED_SetBlockSize'             , AED_SetBlockSize             ,
  VBAED_SetFreq                  , AED_SetFreq                   name '_AED_SetFreq'                  , AED_SetFreq                  ,
  VBAED_Connect                  , AED_Connect                   name '_AED_Connect'                  , AED_Connect                  ;

begin
end.
